Name:           glew
Version:        2.2.0
Release:    1%{?dist}
Summary:        The OpenGL Extension Wrangler Library
License:        BSD and MIT
URL:            https://github.com/nigels-com/glew

Source0:        https://github.com/nigels-com/glew/releases/download/glew-%{version}/glew-%{version}.tgz
Patch0:         glew-2.1.0-install.patch
Patch1:         glew-2.2.0-gcc12-cplusplus.patch
BuildRequires:  gcc
BuildRequires:  libGLU-devel
BuildRequires:  make

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms for
determining which OpenGL extensions are supported on the target platform.
OpenGL core and extension functionality is exposed in a single header file.
GLEW is available for a variety of operating systems, including Windows, Linux,
Mac OS X, FreeBSD, Irix, and Solaris.

This package contains the demo GLEW utilities.  The libraries themselves
are in libGLEW.

%package devel
Summary:        Development files for glew
Requires:       libGLEW = %{version}-%{release}
Requires:       mesa-libGLU-devel

%description devel
Development files for glew


%package -n libGLEW
Summary:        libGLEW

%description -n libGLEW
libGLEW

%prep
%autosetup -p1

cp /usr/lib/rpm/OpenCloudOS/config.guess config/

%build
%make_build CFLAGS.EXTRA="$RPM_OPT_FLAGS -fPIC"\
     STRIP= \
     GLEW_PREFIX=%{_prefix} GLEW_DEST=%{_prefix} \
     includedir=%{_includedir} \
     BINDIR=%{_bindir} LIBDIR=%{_libdir} PKGDIR=%{_libdir}/pkgconfig

%install
make install.all DESTDIR="%{buildroot}" \
     GLEW_PREFIX=%{_prefix} GLEW_DEST=%{_prefix} \
     includedir=%{_includedir} \
     BINDIR=%{_bindir} LIBDIR=%{_libdir} PKGDIR=%{_libdir}/pkgconfig
find %{buildroot} -type f -name "*.a" -delete
chmod 0755 %{buildroot}%{_libdir}/*.so*


%files
%license LICENSE.txt
%{_bindir}/*

%files -n libGLEW
%license LICENSE.txt
%{_libdir}/libGLEW.so.2.2*

%files devel
%{_libdir}/libGLEW.so
%{_libdir}/pkgconfig//glew.pc
%{_includedir}/GL/*.h
%doc doc/*

%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-1
- initial build
